Subject: Re: bug#28627: 24.5; doc of `copy-sequence'

From: Eli Zaretskii <[email-masked]>
Date: Sat, 30 Sep 2017 16:04:31 +0300

> Date: Wed, 27 Sep 2017 13:40:06 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> 
> The doc should make clear that there is only one empty-sequence object,
> for each type of sequence.  In particular, `copy-sequence' does not
> create a new sequence object if the sequence is empty.

Thanks.  I didn't feel we should guarantee what we have in the current
implementation, especially as describing all the details might be
tedious (does "vectors" include bool-vector or doesn't it?).  So I
just added a vague statement that copying an empty object may yield
the same object.  I think this is enough for Lisp programmers to
produce a valid and future-proof code.